Crystal Space: iCurve Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCurve Struct Reference
[Mesh plugins]

This is the interface for a curve. More...

`#include <imesh/bezier.h>`

Inheritance diagram for iCurve:

[legend]
List of all members.

## Public Member Functions
virtual iMaterialWrapper * | GetMaterial () const =0
| Get the material wrapper.
virtual int | GetVertex (int idx) const =0
| Get a vertex.
virtual int | GetVertexCount () const =0
| Get the number of vertices.
virtual iObject * | QueryObject ()=0
| Get the iObject for this curve.
virtual void | SetControlPoint (int idx, int control_id)=0
| Set a control point.
virtual void | SetMaterial (iMaterialWrapper *mat)=0
| Set the material wrapper.
virtual void | SetVertex (int idx, int vt)=0
| Set a vertex.

## Detailed Description

This is the interface for a curve.

Main creators of instances implementing this interface:

- iBezierFactoryState::CreateCurve()

Main ways to get pointers to this interface:

- iBezierFactoryState::GetCurve()

Definition at line 50 of file bezier.h.

## Member Function Documentation

virtual iMaterialWrapper* iCurve::GetMaterial | ( |  | ) | const`[pure virtual]`

Get the material wrapper.

virtual int iCurve::GetVertex | ( | int | idx | ) | const`[pure virtual]`

Get a vertex.

virtual int iCurve::GetVertexCount | ( |  | ) | const`[pure virtual]`

Get the number of vertices.

virtual iObject* iCurve::QueryObject | ( |  | ) | `[pure virtual]`

Get the iObject for this curve.

virtual void iCurve::SetControlPoint | ( | int | idx,
|  | int | control_id |
| ) |  |  | `[pure virtual]`

Set a control point.

virtual void iCurve::SetMaterial | ( | iMaterialWrapper * | mat | ) | `[pure virtual]`

Set the material wrapper.

virtual void iCurve::SetVertex | ( | int | idx,
|  | int | vt |
| ) |  |  | `[pure virtual]`

Set a vertex.

The documentation for this struct was generated from the following file:

- imesh/bezier.h